Subject: git svn should refuse to checkin .svn directories

From: Thomas Koch <[email-masked]>
Date: Fri, 18 Apr 2008 13:46:50 +0200

As you might guess I just annoyed my collegues by (temporarily) destroying our 
svn repo. Nobody could checkout anymore, because I accidently checked in 
a .svn directory with git svn.

I'm lucky that I'm still allowed to use git svn to work on our svn repo...

Maybe you could add a warning or something else to avoid .svn directories to 
be ever checked in via git svn.

I'm sure that there is also a config option somewhere to get .svn directories 
ignored (also subdirs when adding the parent dir?). But this check should 
really be a default setting to avoid other newcommers to get into trouble 
because they gave git svn a try.

Cheers,
-- 
Thomas Koch, Software Developer
http://www.koch.ro